#!/bin/sh

# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.


# git go vet pre-commit hook
#
# Runs go vet

# Executes go vet on the non-external packages (ie packages from github)
__DIR__="$(cd "$(dirname "${0}")"; echo $(pwd))"
source "$__DIR__/pkgs"

vet=$(go vet $PKGS 2>&1)
[ $? == 0 ] && exit 0

# There are go vet errors. Print them and fail.

# remove the 'exit status 1' messages
failing=$(echo "$vet" | grep -v "exit status")

echo >&2 "'go vet' errors. Please fix the following:"
echo >&2 "$failing"

exit 1
